# SPDX-License-Identifier: MIT
%dnl Packaging template: less common patterns for single-family fonts packaging.
%dnl
%dnl This template documents less common spec declarations, used when packaging a
%dnl single font family, from a single dedicated source archive.
%dnl
%dnl It is part of the following set of packaging templates:
%dnl “fonts-0-simple”: basic single-family fonts packaging
%dnl “fonts-1-full”:   less common patterns for single-family fonts packaging
%dnl “fonts-2-multi”:  multi-family fonts packaging
%dnl “fonts-3-sub”:    packaging fonts, released as part of something else
%dnl
Version:   
Release:   
URL:       

%global foundry           
%global fontlicense       OFL
%dnl
%dnl The following directives are lists of space-separated shell globs
%dnl   – matching files associated with the font family,
%dnl   – as they exist in the build root,
%dnl   — at the end of the %build stage:
%dnl – legal files (licensing…)
%global fontlicenses      OFL.txt
%dnl – exclusions from the “fontlicenses” list
%global fontlicensesex    
%dnl – documentation files
%global fontdocs          *.txt
%dnl – exclusions from the ”fontdocs” list
%global fontdocsex        %{fontlicenses}

%global fontfamily0       
%global fontsummary0      
%dnl A container for additional subpackage declarations.
%global fontpkgheader0    %{expand:
Obsoletes: 
}
%dnl
%dnl More shell glob lists:
%dnl – font family files
%global fonts0            *.otf
%dnl – exclusions from the “fonts” list)
%global fontsex0          
%dnl – fontconfig files
%global fontconfs0        %{SOURCE10}
%dnl – exclusions from the “fontconfs” list
%global fontconfsex0      
%dnl – appstream files, if any (generated automatically otherwise)
%global fontappstreams0   
%dnl – exclusions from the “fontappstreams” list
%global fontappstreamsex0 
%global fontdescription0  %{expand:
}

%fontmeta

%global source_files %{expand:
Source0:  
Source10: [number]-%{fontpkgname0}.conf
}

%fontpkg

%dnl Font creators love to bundle bulky documentation files, that show off their
%dnl font (typically, as pdf specimens). Split those files in a dedicated optional
%dnl doc package.
%new_package    doc
Summary:        Optional documentation files of %{source_name}
BuildArch:      noarch
%description    doc
This package provides optional documentation files shipped with
%{source_name}.

%prep
%setup
%dnl Convert upstream files to UTF-8 and Unix end of lines if necessary
%dnl Optional arguments:
%dnl -e [encoding] source OS encoding (auto-detected otherwise)
%dnl -n            do not recode files, only adjust folding and end of lines
%linuxtext *.txt

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%files doc
%defattr(644, root, root, 0755)
%license OFL.txt
%doc *.pdf

%changelog
