# SPDX-License-Identifier: MIT
%dnl Packaging template: multi-family fonts packaging.
%dnl
%dnl This template documents spec declarations, used when packaging multiple font
%dnl families, from a single dedicated source archive. The source rpm is named
%dnl after the first (main) font family). Look up “fonts-3-sub” when the source
%dnl rpm needs to be named some other way.
%dnl
%dnl It is part of the following set of packaging templates:
%dnl “fonts-0-simple”: basic single-family fonts packaging
%dnl “fonts-1-full”:   less common patterns for single-family fonts packaging
%dnl “fonts-2-multi”:  multi-family fonts packaging
%dnl “fonts-3-sub”:    packaging fonts, released as part of something else
%dnl
Version:   
Release:   
URL:       

%dnl The following declarations will be aliased to [variable]0 and reused for all
%dnl generated *-fonts packages unless overriden by a specific [variable][number]
%dnl declaration.
%global foundry           
%global fontlicense       OFL
%global fontlicenses      OFL.txt
%global fontlicensesex    
%global fontdocs          *.txt
%global fontdocsex        %{fontlicenses}

%dnl A text block that can be reused as part of the description of each generated
%dnl subpackage.
%global common_description %{expand:
}

%dnl Declaration for the subpackage containing the first font family. All the
%dnl [variable]0 declarations are aliased to [variable].
%global fontfamily0       
%global fontsummary0      
%global fontpkgheader0    %{expand:
}
%global fonts0            *.otf
%global fontsex0          
%global fontconfs0        %{SOURCE10}
%global fontconfsex0      
%global fontappstreams0   
%global fontappstreamsex0 
%global fontdescription0  %{expand:
%{?common_description}
}

%dnl Declaration for the subpackage containing the second font family.
%global fontfamily1       
%global fontsummary1      
%global fontpkgheader1    %{expand:
}
%global fonts1            
%global fontsex1          
%global fontconfs1        %{SOURCE11}
%global fontconfsex1      
%global fontappstreams1   
%global fontappstreamsex1 
%global fontdescription1  %{expand:
%{?common_description}
}
%dnl
%dnl Continue as necessary…

%dnl “fontmeta” accepts the following selection argument:
%dnl – “-z [number]” process a specific declaration block
%fontmeta

%global source_files %{expand:
Source0:  
Source10: [number]-%{fontpkgname0}.conf
Source11: [number]-%{fontpkgname1}.conf
}

%dnl “fontpkg” accepts the usual selection argument:
%dnl – “-z [number]” process a specific declaration block
%fontpkg

%dnl “Generate a font meta(sub)package header for all the font
%dnl subpackages generated in this spec. Optional arguments:
%dnl – “-n [name]”      use [name] as metapackage name
%dnl – “-s [variable]”  use the content of [variable] as metapackage summary
%dnl – “-d [variable]”  use the content of [variable] as metapackage description
%dnl – “-z [numbers]”   restrict metapackaging to [numbers] comma-separated list
%dnl                    of font package suffixes
%fontmetapkg

%new_package doc
Summary:   Optional documentation files of %{source_name}
BuildArch: noarch
%description doc
This package provides optional documentation files shipped with
%{source_name}.

%prep
%setup
%linuxtext *.txt

%build
%dnl “fontbuild” accepts the usual selection argument:
%dnl – “-z [number]” process a specific declaration block
%fontbuild

%install
%dnl “fontinstall” accepts the usual selection argument:
%dnl – “-z [number]” process a specific declaration block
%fontinstall

%check
%dnl “fontcheck” accepts the usual selection argument:
%dnl – “-z [number]” process a specific declaration block
%fontcheck

%dnl “fontfiles” accepts the usual selection argument:
%dnl – “-z [number]” process a specific declaration block
%fontfiles

%files doc
%defattr(644, root, root, 0755)
%license OFL.txt
%doc *.pdf

%changelog
