# SPDX-License-Identifier: MIT
%dnl Packaging template: packaging fonts, released as part of something else
%dnl
%dnl This template documents spec declarations, used when packaging one or several
%dnl font families from a source rpm which is not named after the first packaged
%dnl font family:
%dnl – either because the project name differs from the main font family name
%dnl – or when the source archive and rpm are used to package more than fonts.
%dnl
%dnl It is part of the following set of packaging templates:
%dnl “fonts-0-simple”: basic single-family fonts packaging
%dnl “fonts-1-full”:   less common patterns for single-family fonts packaging
%dnl “fonts-2-multi”:  multi-family fonts packaging
%dnl “fonts-3-sub”:    packaging fonts, released as part of something else
%dnl
Version:   
Release:   
URL:       
%dnl Usually appropriate a fonts-only source package (SRPM)
BuildArch: noarch

%dnl The source package (SRPM) name
%global    source_name    
%dnl When the SRPM headers are not provided by automated font packages, License
%dnl needs to be set manually here
License:   

%global foundry           
%global fontlicense       OFL
%global fontlicenses      OFL.txt
%global fontlicensesex    
%global fontdocs          *.txt
%global fontdocsex        %{fontlicenses}

%global common_description %{expand:
}

%global fontfamily0       
%global fontsummary0      
%global fontpkgheader0    %{expand:
}
%global fonts0            *.otf
%global fontsex0          
%global fontconfs0        %{SOURCE10}
%global fontconfsex0      
%global fontappstreams0   
%global fontappstreamsex0 
%global fontdescription0  %{expand:
%{?common_description}
}

%global fontfamily1       
%global fontsummary1      
%global fontpkgheader1    %{expand:
}
%global fonts1            
%global fontsex1          
%global fontconfs1        %{SOURCE11}
%global fontconfsex1      
%global fontappstreams1   
%global fontappstreamsex1 
%global fontdescription1  %{expand:
%{?common_description}
}
%dnl
%dnl Continue as necessary…

%fontmeta

%global source_files %{expand:
Source0:  
Source10: [number]-%{fontpkgname0}.conf
Source11: [number]-%{fontpkgname1}.conf
}

%dnl The spec file MUST include a package header that matches %{source_name}.
%dnf You can create the corresponding header manually using:
%dnl
%dnl %new_package -n %{source_name}
%dnl
%dnl or even simply
%dnl
%dnl %new_package
%dnl
%dnl %{sources_files} will be expanded and evaluated at the point the
%dnl %{source_name} package header occurs in the spec preamble. This is required by
%dnl an extremely inconvenient backwards-incompatible rpm 4.15 parser change.
%new_package -n 
Summary:        
%description
%wordwrap -v common_description

%fontpkg

%fontmetapkg

%new_package    doc
Summary:        Optional documentation files of %{source_name}
BuildArch:      noarch
%description    doc
This package provides optional documentation files shipped with
%{source_name}.

%prep
%setup
%linuxtext *.txt

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%files doc
%defattr(644, root, root, 0755)
%license OFL.txt
%doc *.pdf

%changelog
